{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Empresas'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/customer_edit.twig" %}
    {% include "template/partial/section/customer_contact.twig" %}
{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}


    <script>
        $(window).load(function () {
            
            {% if cliente_info.client_status == 'N' %}
                setTimeout(function(){ 
                    window.location.href = '{{path_for('client-list')}}'; 
                }, 1000 * 60 * 40);
            {% endif %}

            
            $('.dele-cc').click(function () {

                var valueItem = $(this).data('value');

                swal({
                    title: "Está seguro de eliminar el contacto?",
                    text: "Despúes no podrá recuperralo!",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: "#DD6B55",
                    confirmButtonText: "Si, borrar!",
                    cancelButtonText: "No, cancelar",
                    closeOnConfirm: false
                }, function (isConfirm) {
                    if (isConfirm) {

                        $.ajax({
                            type: "DELETE",
                            url: "../eliminar/",
                            data: {contact_id: valueItem},
                            dataType: "JSON",
                            success: function (data) {
                                console.log(data);

                                if (data.indexOf("FOREIGN") != -1) {
                                    swal.close();

                                    notify('No se puede eliminar el contacto, está incluido en una Oportunidad o Venta!', 'danger');
                                } else {
                                    $("#box-cc-" + valueItem).fadeOut();
                                    swal("Eliminado!", "Contacto eliminado!", "success");
        {%if cliente_contactos|length > 1%}
                                        setTimeout(function () {
                                            location.reload()
                                        }, 1500);
        {% endif %}
                                    }

                                },
                                error: function (data) {
                                    console.log(data);

                                    notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                                }
                            });
                        }
                    });
                });

                /******************************************************************/

                $(".sf-c").click(function () {
                    if (isCheckClient()) {
                        asynClient(false);
                    }
                });

                /******************************************************************/

                $(".sf-cc").click(function () {
                    if (isCheckContact()) {
                        asynContact();
                    }
                });

                /******************************************************************/

                $(".sf-c-cc").click(function () {
                    if (isCheckClient() && isCheckContact() && isCheckAddres()) {
                        asynClient(true);
                    }
                });
				
				if($('#type_identification').val()=="CUIT"){
					$('#client_cuit').mask("99-99999999-9");
				}else if($('#type_identification').val()=="Exterior"){
					$('#client_cuit').unmask();
				}else if($('#type_identification').val()=="DNI"){
					$('#client_cuit').mask("99.999.999");
				}
				
                $('#type_identification').change(function () {
                    $('#client_cuit').attr('placeholder', $(this).val() + ' *');
                    
                    if($(this).val() == "Exterior") {
                        $('#client_cuit').unmask();
                    } else if($(this).val() == "DNI") {
                        $('#client_cuit').mask("99.999.999");
                    } else {
                        $('#client_cuit').mask("99-99999999-9");
                    }
                });

                $('#client_type').change(function () {
                    if ($(this).val() === 'Temporal') {
                        $('#type_identification').val("CUIT");
                        $('#type_identification').trigger("chosen:updated");

                        $('#client_cuit').attr('readonly', 'readonly');
                        $('#client_cuit').val("99-99999999-9");
                    } else {

                    }
                });
                /******************************************************************/
                var isCheckClient = function () {
                    if ($("#client_businessname").val() == "") {
                        notify('Campo Nombre Comercial es requerido!', 'warning');
                        $(".fc1Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".fc1Has").removeClass("has-warning");
                    }

                    /*
                     if ($("#client_fantasyname").val() == "") {
                     notify('Campo Nombre Fantasía es requerido!', 'warning');
                     $(".fc1bHas").addClass("has-warning");
                     return false;
                     } else {
                     $(".fc1bHas").removeClass("has-warning");
                     }*/

                    if ($("#client_cuit").val() == "") {
                        notify('Campo CUIT es requerido!', 'warning');
                        $(".fc2Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".fc2Has").removeClass("has-warning");
                    }
                    /*
                     if ($("#client_origin").val() == "") {
                     notify('Campo Origen es requerido!', 'warning');
                     $(".fc3Has").addClass("has-warning");
                     return false;
                     } else {
                     $(".fc3Has").removeClass("has-warning");
                     }
                     */
                    if ($("#client_activity").val() == "") {
                        notify('Campo Actividad es requerido!', 'warning');
                        $(".fc5Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".fc5Has").removeClass("has-warning");
                    }

                    return true;
                };
                /******************************************************************/

                var isCheckAddres = function () {
                    if ($("#client_address").val() == "") {
                        notify('Campo Dirección es requerido!', 'warning');
                        $(".fc6Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".fc6Has").removeClass("has-warning");
                    }

                    if ($("#client_city").val() == "") {
                        notify('Campo Ciudad es requerido!', 'warning');
                        $(".fc7Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".fc7Has").removeClass("has-warning");
                    }

                    if ($("#client_phone0").val() == "") {
                        notify('Campo Teléfono 1 es requerido!', 'warning');
                        $(".fc8Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".fc8Has").removeClass("has-warning");
                    }

                    if ($("#client_cp").val() == "") {
                        notify('Campo Código Postal es requerido!', 'warning');
                        $(".fc9Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".fc9Has").removeClass("has-warning");
                    }

                    if ($("#client_state").val() == "") {
                        notify('Campo Provincia es requerido!', 'warning');
                        $(".fc10Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".fc10Has").removeClass("has-warning");
                    }

                    return true;
                };

                /******************************************************************/
                var isCheckContact = function () {
                    if ($("#contact_name").val() == "") {
                        notify('Campo Nombre Contacto es requerido!', 'warning');
                        $(".f1Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".f1Has").removeClass("has-warning");
                    }

                    if ($("#contact_lastname").val() == "") {
                        notify('Campo Apellido Contacto es requerido!', 'warning');
                        $(".f2Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".f2Has").removeClass("has-warning");
                    }

                    if ($("#contact_email").val() == "") {
                        notify('Campo Email es requerido!', 'warning');
                        $(".f3Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".f3Has").removeClass("has-warning");
                    }

                    if ($("#contact_phone").val() == "") {
                        notify('Campo Teléfono Contacto es requerido!', 'warning');
                        $(".f4Has").addClass("has-warning");
                        return false;
                    } else {
                        $(".f4Has").removeClass("has-warning");
                    }

                    return true;
                };
                /******************************************************************/

                /******************************************************************/
                var asynContact = function () {
                    var json = objectifyForm($('#form-cc').serializeArray());
                    var type = "POST", url = "../crearContactos/";

                    if ($("#contact_id").val() != "") {
                        type = "PUT", url = "../editarContactos/";
                    }
                    $.ajax({
                        type: type,
                        url: url,
                        data: json,
                        dataType: "JSON",
                        success: function (data) {
                            console.log(data);

                            notify(data.msg, data.type > 1 ? 'success' : 'warning');

                            if(data.type > 1) {
                                setTimeout(function () {
                                    window.location.reload();
                                }, 1500);
                            }
                        },
                        error: function (data) {
                            console.log(data);

                            notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                        }
                    });
                };
                /******************************************************************/

                /******************************************************************/
                var asynClient = function (saveContact) {
                    var json = objectifyForm($('#form-c').serializeArray());

                    $.ajax({
                        type: "PUT",
                        url: "../editar/{{cliente_info.client_id}}",
                        data: json,
                        dataType: "JSON",
                        success: function (data) {
                            console.log(data);

                            notify(data.msg, (data.type > 1) ? 'success' : 'warning');
                            
                            if(saveContact && data.type > 1) {
                                asynContact();
                            }
                        },
                        error: function (data) {
                            console.log(data);

                            notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');
                        }
                    });
                };
                /******************************************************************/

                /******************************************************************/

                $('.edit-cc').click(function () {
                    var strAncla = "#nuevocontacto"; //id del ancla
                    var valueItem = $(this).data('value');

                    var name = $("#cc-name-" + valueItem).data("value");
                    var lastname = $("#cc-lastname-" + valueItem).data("value");
                    var email = $("#cc-email-" + valueItem).data("value");
                    var type = $("#cc-type-" + valueItem).data("value");
                    var phone = $("#cc-phone-" + valueItem).data("value");
                    var celphone = $("#cc-celphone-" + valueItem).data("value");
                    var status = $("#cc-status-" + valueItem).data("value");
                    var area = $("#cc-area-" + valueItem).data("value");

                    //////

                    $("#contact_name").val($.trim(name));
                    $("#contact_lastname").val($.trim(lastname));
                    $("#contact_email").val($.trim(email));
                    $('#contact_type').val($.trim(type));
                    $("#contact_phone").val($.trim(phone));
                    $("#contact_celphone").val($.trim(celphone));
                    $('#contact_status').selectpicker('val', status);
                    $('#contact_area').selectpicker('val', area);

                    $('#contact_id').val(valueItem);
                    $("#form-cc").attr("method", "put");
                    //////

                    $('body,html').stop(true, true).animate({
                        scrollTop: $(strAncla).offset().top
                    }, 1000);
                });
            });
    </script>

{% endblock %}